description

# HasNextIterator<E> class Null safety

The HasNextIterator class wraps an Iterator and provides methods to iterate over an object using `hasNext` and `next`.

An HasNextIterator does not implement the Iterator interface.

## Constructors

HasNextIterator(Iterator<E> _iterator)

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
hasNext → bool
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

next() → E
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited